Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Dec 2020 21:05:29 +0200

> Date: Fri, 11 Dec 2020 20:37:56 +0000
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Any pointers to the code which causes all the frames to be updated in
> > C-v/M-v case?
> 
> I don't know. I'm looking at redisplay_internal in a debugger and I
> can see that consider_all_windows_p is true, which will be because
> windows_or_buffers_changed == 2 == REDISPLAY_SOME or because
> update_mode_lines == 42.
> 
> I can't find anywhere that sets update_mode_lines to 42...

wset_update_mode_line does it, so any caller of that function would.

But where do you see the value of 42 being tested?